%define	__prefix	/usr/local

Summary: GNU Bourne Again Shell (bash)
Name: bash
%define version 2.03
Version: %{version}
Release: 1
Group: System Environment/Shells
Source: localhost:/bash_%{version}.tar.gz
Patch0: localhost:/bash_%{version}-macosx.patch
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root

Provides: /bin/bash

%description
Bash is a GNU project sh-compatible shell or command language
interpreter. Bash (Bourne Again shell) incorporates useful features
from the Korn shell (ksh) and the C shell (csh). Most sh scripts
can be run by bash without modification.

Bash offers several improvements over sh, including command line
editing, unlimited size command history, job control, shell
functions and aliases, indexed arrays of unlimited size and
integer arithmetic in any base from two to 64. Bash is ultimately
intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and
Tools standard.

Bash is the default shell for Red Hat Linux. You should install
bash because of its popularity and power. You'll probably end up
using it.

%prep
%setup -q
%ifos darwin
%patch0 -p1
%endif

%build
./configure --prefix=%{__prefix}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}
mkdir -p $RPM_BUILD_ROOT/bin

make prefix="$RPM_BUILD_ROOT"%{__prefix} install

mv $RPM_BUILD_ROOT%{__prefix}/bin/bash $RPM_BUILD_ROOT/bin/.
ln -s ../../../bin/bash $RPM_BUILD_ROOT%{__prefix}/bin/.

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,wheel)
%doc AUTHORS CHANGES COPYING COMPAT INSTALL NEWS NOTES README

/bin/bash
%{__prefix}/bin/bash
%{__prefix}/bin/bashbug
%{__prefix}/info/bash.info
%{__prefix}/man/man1/bash.1
%{__prefix}/man/man1/bashbug.1



%changelog
* Tue Mar 27 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st release on MacOS X: version 2.03
